use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IFootnoteDefinition {}

impl IFootnoteDefinition {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &'intermediate organic::types::FootnoteDefinition<'parse>,
    ) -> Result<IFootnoteDefinition, CustomError> {
        registry.register_footnote_definition(original.label, &original.children);
        Ok(IFootnoteDefinition {})
    }
}
