use crate::error::CustomError;

use super::registry::Registry;
use super::IObject;

#[derive(Debug)]
pub(crate) struct IParagraph {
    pub(crate) children: Vec<IObject>,
}

impl IParagraph {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &'intermediate organic::types::Paragraph<'parse>,
    ) -> Result<IParagraph, CustomError> {
        let children = {
            let mut ret = Vec::new();
            for obj in original.children.iter() {
                ret.push(IObject::new(registry, obj).await?);
            }
            ret
        };

        Ok(IParagraph { children })
    }
}
